/**
 * 界面上弹出的按钮
 */
const {ccclass, property} = cc._decorator;

@ccclass
export default class DialogButton extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    
    public callback:()=>void;

    public setCallback(callback:()=>void){
        this.callback = callback;
    }

    public onclick(){
        this.callback();
    }
  
}
